webpack打包css报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

webpack打包css报错

zayswdwy520 2019-01-16 16:58:01 1509

1547628883_1_1547628964_1_

配置代码:
const path = require('path');

const config = {

entry: './src/index.js',
output: {
    filename: 'bundle.js',
    path: path.resolve(__dirname, 'dist')
},
module: {
    rules: [
        {
            test: /\.css$/,
            use: [
                'style-loader',
                'css-loader'
            ]
        }
    ]
}

}

运行报错信息:
ERROR in ./src/style.css 1:0
Module parse failed: Unexpected token (1:0)
You may need an appropriate loader to handle this file type.

.hello{
| color:red;

| }
@ ./src/index.js 2:0-21

前端开发
分享到
取消 提交回答
全部回答(3)
  • 1575432164844366
    2019-07-17 23:25:40

    S_HRWPRXN_9_KG_BF_VXH28
    我也遇到同样的问题

    0 0
  • 黄二狗
    2019-07-17 23:25:40

    首先, 这个错误是说 webpack 打不到合适的 loader, 但根据你配置的 loader, 加载 .css 是应该能正常的. 要排查问题, 需要看到你的代码具体是怎样引用的.

    一般来说, 这个错误最常见的是 require 或 import 时, 要引用资源的扩展名写错了, 请自查一下, 或给出具体的代码.

    0 0
  • dickeylth
    2019-07-17 23:25:40

    看配置没有什么问题,确认下 css-loader 和 style-loader 都有安装吗?最好贴一下 package.json 文件内容

    0 0
添加回答

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程